<?php
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

only_reg();

$set['title']='Заметки-Добавление';
include_once '../../sys/inc/thead.php';

aut();
title();
echo"<div class='foot'>\n";
echo"<a href='index.php'>Заметки</a><br />\n";
echo"</div>\n";
if (isset($_GET['add']) && isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['msg']) && isset($user))
{
$msg=mysql_real_escape_string($_POST['msg']);
$name=mysql_real_escape_string($_POST['name']);

if (strlen2($name)<3)$err='Короткое название';
if (strlen2($name)>50)$err='Длина названия превышает предел в 50 символов';
if (strlen2($msg)<3)$err='Короткий Текст';
if (strlen2($msg)>10000)$err='Длина текста превышает предел в 10 000 символов';


if (!isset($_SESSION['captcha']))$err[]='Ошибка проверочного числа';
if (!isset($_POST['chislo']))$err[]='Введите проверочное число';
elseif ($_POST['chislo']==null)$err[]='Введите проверочное число';
elseif ($_POST['chislo']!=$_SESSION['captcha'])$err[]='Проверьте правильность ввода проверочного числа';

if(isset($_POST['privat']))
{
if($_POST['privat'] == 1) $privat='1';
else $privat='0'; 
}
else $privat='0';

if (!isset($err))
{
$q = mysql_query("SELECT * FROM `frends` WHERE `user` = '$user[id]' AND `i` = '1'");
while ($f = mysql_fetch_array($q))
{
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));
$msg_lenta=" $user[nick], создал новую запись в [url=/user/notes/user.php?id=$user[id]]Дневниках[/url]";
mysql_query("INSERT INTO `lenta` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$a[id]', '".mysql_real_escape_string($msg_lenta)."', '$time')"); 
}
mysql_query("INSERT INTO `blog_list` (`id_user`, `name`, `msg`, `time`, `privat`) values('$user[id]', '$name', '$msg', '$time', '$privat')");
msg('Запись добавлена'); 
}
}
err();

if (isset($user) )
{
echo "<form style='margin:1px;' method='post' action='?add'>\n";
echo "Название:<br />\n<input type=\"text\" name=\"name\" value=\"\" /><br />\n";

echo "Текст: <br />";
echo "<textarea name=\"msg\"></textarea><br />";
echo "<div class='foot'><a href='/smiles.php'>Смайлы</a></div>";
echo "<label><input type=\"checkbox\" name=\"privat\" value=\"1\" />Приватная заметка</label><br />\n";
echo "<img src='/captcha.php?SESS=$sess' width='100' height='30' alt='Проверочное число' /><br />\n<input name='chislo' size='5' maxlength='5' value='' type='text' /><br/>\n";
echo "<input value=\"Добавить\" type=\"submit\" />\n";
echo "</form>\n";
}


include_once '../../sys/inc/tfoot.php';

?>